Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wst.messaging
Class CoordinatorProcessorImpl

    java.lang.Object
      com.arjuna.webservices.wsat.processors.CoordinatorProcessor
          com.arjuna.wst.messaging.CoordinatorProcessorImpl

public class CoordinatorProcessorImpl
extends com.arjuna.webservices.wsat.processors.CoordinatorProcessor

The Coordinator processor.

Author:
  kevin

Constructor Summary
`CoordinatorProcessorImpl()`

Method Summary
`void` | `aborted(com.arjuna.webservices.wsat.NotificationType aborted, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Aborted.
`void` | `activateCoordinator(com.arjuna.webservices.wsat.CoordinatorInboundEvents coordinator, java.lang.String identifier)` Activate the coordinator.
`void` | `committed(com.arjuna.webservices.wsat.NotificationType committed, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Committed.
`void` | `deactivateCoordinator(com.arjuna.webservices.wsat.CoordinatorInboundEvents coordinator)` Deactivate the coordinator.
`void` | `prepared(com.arjuna.webservices.wsat.NotificationType prepared, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Prepared.
`void` | `readOnly(com.arjuna.webservices.wsat.NotificationType readOnly, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Read only.
`void` | `replay(com.arjuna.webservices.wsat.NotificationType replay, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Replay.
`void` | `soapFault(com.arjuna.webservices.SoapFault fault, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` SOAP Fault.

Methods inherited from class com.arjuna.webservices.wsat.processors.CoordinatorProcessor
`getProcessor, setProcessor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoordinatorProcessorImpl

    public CoordinatorProcessorImpl()

Method Detail

### activateCoordinator

    public void activateCoordinator(com.arjuna.webservices.wsat.CoordinatorInboundEvents coordinator,
                                    java.lang.String identifier)

  Activate the coordinator.

  Parameters:
    `coordinator` - The coordinator.
    `identifier` - The identifier.

### deactivateCoordinator

    public void deactivateCoordinator(com.arjuna.webservices.wsat.CoordinatorInboundEvents coordinator)

  Deactivate the coordinator.

  Parameters:
    `coordinator` - The coordinator.

### aborted

    public void aborted(com.arjuna.webservices.wsat.NotificationType aborted,
                        com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                        com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Aborted.

  Parameters:
    `aborted` - The aborted notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### committed

    public void committed(com.arjuna.webservices.wsat.NotificationType committed,
                          com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                          com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Committed.

  Parameters:
    `committed` - The committed notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### prepared

    public void prepared(com.arjuna.webservices.wsat.NotificationType prepared,
                         com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                         com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Prepared.

  Parameters:
    `prepared` - The prepared notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### readOnly

    public void readOnly(com.arjuna.webservices.wsat.NotificationType readOnly,
                         com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                         com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Read only.

  Parameters:
    `readOnly` - The read only notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### replay

    public void replay(com.arjuna.webservices.wsat.NotificationType replay,
                       com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                       com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Replay.

  Parameters:
    `replay` - The replay notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### soapFault

    public void soapFault(com.arjuna.webservices.SoapFault fault,
                          com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                          com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  SOAP Fault.

  Parameters:
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD